using UnityEngine;
using System.Collections;
using System;
using UnityEngine.Events;

namespace Mod
{
	public class Mod
	{
		public static void Main()
		{
			CategoryBuilder.Create("BBQ's Glock Perfection", "GLOCK Professional Inc. provides professional training to law enforcement, military, licensed security and other personnel who desire to utilize the GLOCK SAFE ACTION® system to its maximum potential. Armorer, Advanced Armorer, Instructor Workshop and G18 Select-Fire classes are available to provide information and recommendations for the safe, responsible and effective use of GLOCK handguns and other products.", ModAPI.LoadSprite("category.png"));
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 19",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock19Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 19.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 0.7f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 17",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock17Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("17Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 17.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 1f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 45",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock45Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("45Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 45.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 0.7f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 18C",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock18Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("18Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 18.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						firearm.Automatic = true;
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 1.2f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 17L",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock17LThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("17LSlide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 17L.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 1f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 19X",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock19XThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("XSlide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 19X.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 0.7f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 17 - Tan",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock17TanThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("17Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 17 Tan.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 1f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 19 - Tan",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock19TanThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 19 Tan.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 0.7f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 26 - Tan",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock26TanThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("26Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 26 Tan.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 26",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock26Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("26Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 26.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 43",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock43Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("26Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 43.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 42",
					DescriptionOverride = ".380 Auto",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock42Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("42Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 42.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 43X",
					DescriptionOverride = "9x19mm",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock43XThumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("26Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 43X.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 29",
					DescriptionOverride = "10mm Auto",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock29Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 29.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 36",
					DescriptionOverride = ".45 Auto",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock36Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("26Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 36.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 22",
					DescriptionOverride = ".40 S&W",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock22Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("22Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 22.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 1f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 33",
					DescriptionOverride = ".357 SIG",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock33Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("33Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 43.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 4f;
						customCartridge.ImpactForce *= 0.5f; 
					    Instance.FixColliders();
			        }
                }
            );
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("9mm Pistol"),
					NameOverride = "Glock 44",
					DescriptionOverride = ".22 LR",
					CategoryOverride = ModAPI.FindCategory("BBQ's Glock Perfection"),
					ThumbnailOverride = ModAPI.LoadSprite("Glock44Thumb.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var Slide = Instance.transform.Find("Slide");
                        Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("44Slide.png", 32f);	
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock 19.png", 32f);
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");																		
						firearm.casingPosition = new Vector3(0f,0.1f);						
						
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();
						
						customCartridge.Recoil *= 5f;
						customCartridge.ImpactForce *= 0.7f; 
					    Instance.FixColliders();
			        }
                }
            );
		}
	}
}